<?php

if(!defined('VALID_RUN')){
	Header("Location: http://".getenv("HTTP_HOST")."/index.php");
	exit;
}

global $site, $config, $plug_config, $include_plugin_path;

$textarea_name = $site->textarea_name;
$sitecss = $config['tpl_dir'].$config['general']['site_template'].'/style/textstyles.css';
$theme = $plug_config['editors.tiny_mce']['theme'];

$buttons = array();
$buttons[] = $plug_config['editors.tiny_mce']['theme_advanced_buttons1'];
$buttons[] = $plug_config['editors.tiny_mce']['theme_advanced_buttons2'];
$buttons[] = $plug_config['editors.tiny_mce']['theme_advanced_buttons3'];
$buttons[] = $plug_config['editors.tiny_mce']['theme_advanced_buttons4'];

$jk = 0;
$buttons_text = '';
foreach($buttons as $panels){
	if($panels != ''){
		$jk++;
		$buttons_text .= "\t\t".'theme_advanced_buttons'.$jk.' : "'.$panels.'",'."\n";
	}
}		
//
//
//safari,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,inlinepopups
$js =<<<JS

	// O2k7 skin (silver)
	tinyMCE.init({
		// General options
		mode : "exact",
		elements : "$textarea_name",
		theme : "$theme",
skin : "o2k7",
skin_variant : "silver",
		language: "ru",

		plugins : "safari,style,table,save,advhr,advimage,advlink,iespell,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,inlinepopups",

		// Theme options
$buttons_text
		
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_statusbar_location : "bottom",
		theme_advanced_resizing : true,

		content_css : "$sitecss",

		// Drop lists for link/image/media/template dialogs
		template_external_list_url : "lists/template_list.js",
		external_link_list_url : "lists/link_list.js",
		external_image_list_url : "lists/image_list.js",
		media_external_list_url : "lists/media_list.js"

	});

JS;

$site->AddJSFile($config['plug_dir'].'editors/tiny_mce/tiny_mce.js',true);
$site->AddJS($js);

/*
		theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
		theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
		theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
		theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak",
*/

?>