<?#	  aexpi@mail.ru
#	 

function includefile($st){if (file_exists($st))include_once($st);}
#####   file_get_contents  file_put_contents
if (!function_exists("file_get_contents")) includefile("inc/function-ext.php");
if (!function_exists("file_put_contents")) includefile("inc/function-ext.php");
if (!function_exists("exif_thumbnail")) includefile("inc/function-ext.php");


#####  
function insertToTemplate($fields,$template)
	{
	while (list($key,$val)=each($fields))
		{
		$out['{'.$key.'}']=$val;
		}
	return strtr (file_get_contents($template), $out);
	}
#####  2-   
function matrix($path)
	{
	$matrix=array();
	if (file_exists($path))
		{
		$filematr=file($path);
		for($ind=0; $ind<count($filematr); $ind++) $matrix[$ind]=explode("|",$filematr[$ind]);
		}
	return $matrix;
	}
#####  2-   
function pushmatrix($path,$matrix)
	{
	$linestr="";
	if (file_exists($path))
		{
		$cou=count($matrix[0])-1;
		for($ind=0; $ind<count($matrix); $ind++)
			{for($ind2=0; $ind2<$cou; $ind2++)
				{
				$linestr.=$matrix[$ind][$ind2]."|";
				}
			$linestr.="\r\n";
			}
		file_put_contents($path,$linestr);
		}
	}

#####  \r\n
function addtofile($datafile,$text)
{
if (!file_exists($datafile)) file_put_contents($datafile,"");
$fp=fopen($datafile,"a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
@chmod("$datafile", 0644);
}

#####    
function addtoend($datafile,$text)
{
if (!file_exists($datafile)) file_put_contents($datafile,"");
$fp=fopen($datafile,"a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text");
flock ($fp,LOCK_UN);
fclose($fp);
@chmod("$datafile", 0644);
}

#####    
function addtobegin($datafile,$text,$c=1000)
{
if (!file_exists($datafile)) file_put_contents($datafile,"");
$file=file($datafile);
array_unshift($file,$text."\r\n");
if (count($file)>$c) $file=array_slice($file,0,$c);
file_put_contents($datafile,implode("",$file));
}

#####	replacer 
function replacer($text)
{ //   
$text=str_replace("&#032;",' ',$text);
//$text=str_replace("&",'&amp;',$text);
$text=str_replace(">",'&gt;',$text);
$text=str_replace("<",'&lt;',$text);
$text=str_replace('"','&quot;',$text);
$text=preg_replace("/\n\n/",'<p>',$text);
$text=preg_replace("/\n/",'<br>',$text);
$text=preg_replace("/\\\$/",'&#036;',$text);
$text=preg_replace("/\r/",'',$text);
//$text=preg_replace("/\\\/",'&#092;',$text);
$text=str_replace("\r\n","<br> ",$text);
$text=str_replace("\n\n",'<p>',$text);
$text=str_replace("\n",'<br> ',$text);
$text=str_replace("\t",'',$text);
$text=str_replace("\r",'',$text);
$text=str_replace('   ',' ',$text);
$text=str_replace('\&quot;','&quot;',$text);
$text=str_replace("\'","'",$text);
$text=str_replace('\"','&quot;',$text);
//$text=str_replace("\\\\","\\",$text);
$text=str_replace('|','&#124;',$text);

$text=str_replace(chr(13),'',$text);

return $text; 
}

##### 
#####		 img_resize():  thumbnails
function img_resize($src, $dest, $width, $height, $rgb=0xFFFFFF, $quality=80, $interlace=1)
{
if (!file_exists($src)) return false;

$size = getimagesize($src);

if ($size === false) return false;

$format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
$icfunc = "imagecreatefrom" . $format;
if (!function_exists($icfunc)) return false;

if ($size[0]*$height>=$size[1]*$width) $k=$width/$size[0]; else $k=$height/$size[1];
if (($size[0]<=$width)&&($size[1]<=$height)) $k=1;
$new_width  = $k*$size[0];
$new_height = $k*$size[1];

$isrc = $icfunc($src);
$idest = imagecreatetruecolor($new_width, $new_height);

imagefill($idest, 0, 0, $rgb);
imagecopyresampled($idest, $isrc, 0, 0, 0, 0, $new_width, $new_height, $size[0], $size[1]);

	imageinterlace($idest, $interlace); //progressive JPEG
if ($quality==80) imagejpeg($idest, $dest); else imagejpeg($idest, $dest, $quality);
imagedestroy($isrc);
imagedestroy($idest);
return true;
}

#####	 
function loadimage($HTTP_POST_FILES, $fname, $dir, $filename, $valid_types, $smdir="", $smwidth=200, $smheight=200, $maxwidth=800, $maxheight=1024, $thumbnail=false)
{
if ($filename=='') {return "  "; exit;}
//   
$ext = strtolower(substr($filename, 1 + strrpos($filename, ".")));
if (!in_array($ext, $valid_types)) 
	{ $valid=""; foreach ($valid_types as $key=>$value) $valid.= $valid_types[$key]." ";
	return "<B>  .</B>  :<BR>
		-   ,       : $valid<BR>
		-      ;<BR>
		-      ;</B><BR>";
	exit;
	}

$res=copy($HTTP_POST_FILES[$fname]['tmp_name'],$dir.$filename);
if (!$res) {return "    ...<br>\n"; exit;}
$size=getimagesize($dir.$filename);
if ($size[0]=='') {unlink($dir.$filename); return "  !!!"; exit;}
// thumb
//if ($smdir=="") {return "    thumbnail"; exit;}

if ($thumbnail==true) 
	{
	if (function_exists("exif_thumbnail")) $exif=exif_thumbnail($dir.$filename); else $exif="";
	if ($exif!="") file_put_contents($smdir.$filename, $exif); else $thumbnail=false;
	}

if ($thumbnail!=true)
	if ($size[0]>$smwidth or $size[1]>$smheight) 
		{
		if (img_resize($dir.$filename, $smdir.$filename, $smwidth, $smheight)) {}
		else  {return "<font color=red><B> </B></font>"; exit;}
		} else copy($dir.$filename, $smdir.$filename);

if (($size[0]>$maxwidth)or($size[1]>$maxheight))
	{
	if (img_resize($dir.$filename, $dir.$filename, $maxwidth, $maxheight)) {}
		else  {return "<font color=red><B> </B></font>"; exit;}
	}
return "";
}
#####	
function load($HTTP_POST_FILES, $fname, $dir, $filename, $valid_types)
{
if ($filename=='') {return "  "; exit;}

//   
$ext = strtolower(substr($filename, 1 + strrpos($filename, ".")));
if (!in_array($ext, $valid_types)) 
	{return "<B>  .</B>  :<BR>
		-   <BR>
		-      ;</B><BR>";
	exit;
	}

$res=copy($HTTP_POST_FILES[$fname]['tmp_name'],$dir.$filename);
if (!$res) {return "    ...<br>\n"; exit;}

return "";
}


##### 
function start()
{
$time=microtime();
$time=explode(" ",$time);
$time=$time[1]+$time[0];
$start=$time;

return $start;
}
#####   
function finish($start)
{
$time = microtime();
$time = explode(" ", $time);
$time = $time[1] + $time[0];
$finish = $time;

$totaltime = round(($finish - $start)*100)/100;
return $totaltime;
}

function man()
	{
	$a=$_SERVER["HTTP_USER_AGENT"];
	if (strpos($a, 'Opera')!==false) {return true;exit;}
	if (strpos($a, 'MSIE')!==false) {return true;exit;}
	if (strpos($a, 'Gecko')!==false) {return true;exit;}
	return false;
	}

function uniq($dir, $file)
	{
	$st=$file;
	if (file_exists("$dir$file"))
		for ($i=0; $i<100; $i++)
			{
			$st=$i."_".$file;
			if (!file_exists($dir.$st)) {$file=$st;break;}
			}
	return $st;
	}
?>